#!/bin/bash

#PBS -l walltime=24:00:00
#PBS -l nodes=1:ppn=4
#PBS -N cesox.quast
#PBS -q queue_name
#PBS -j oe

module load python/2

outd=/path/to/quast/output/directory
fasta=/path/to/assembly.fasta
size=1100000000 # Estimated size for C.esox 1.1Gb

# Move to output dir (to prevent tmp files from being written in $HOME)
cd $outd

# Quast command
quast.py \
    -o $outd --scaffolds \
    --est-ref-size $size \
    --threads ${PBS_NUM_PPN:-1} \
    $fasta
